class FDB

  def initialize
    @db = {}
  end

  def learn mac, dpid, port_no
    @db[dpid] = {} if !@db[dpid]
    @db[dpid][mac] = port_no
  end

  def port_no mac, dpid
    sub_db = @db[dpid]
    if sub_db
      sub_db[mac]
    else
      nil
    end
  end
end

